
Namespace Primitives

    ''' <summary>
    ''' The exception that is thrown when access is attempted to an inaccessible or non-existent 
    ''' property in a MobileObjectTable, MobileDataSlice, or MobilePropertySlice class.
    ''' </summary>
    ''' <remarks></remarks>
    <Serializable()> _
    Public Class ColumnAccessException
        Inherits Exception

        Public Sub New()
            MyBase.New("Attempted to access an inaccessible property.")
        End Sub

        Public Sub New(ByVal message As String)
            MyBase.New(message)
        End Sub

        Public Sub New(ByVal message As String, ByVal inner As System.Exception)
            MyBase.New(message, inner)
        End Sub

    End Class

End Namespace